<?php

namespace app\entity\data\merchant;

use app\entity\data\DataEntity;

class MerchantContributionEntity extends DataEntity
{
    public $id = 0;  // 自增id
    public $title = '';  // 名称
    public $start = 0;  // 开始百分数
    public $end = 0;  // 结束百分数
    public $type = '赠送';  // 类型
    public $jd = 0.00;  // 京豆
    public $value = 0.00;  // 贡献值
    public $createTime = 0;  // 创建时间

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     * @return MerchantContributionEntity
     */
    public function setId(int $id): MerchantContributionEntity
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return string
     */
    public function getTitle(): string
    {
        return $this->title;
    }

    /**
     * @param string $title
     * @return MerchantContributionEntity
     */
    public function setTitle(string $title): MerchantContributionEntity
    {
        $this->title = $title;
        return $this;
    }

    /**
     * @return int
     */
    public function getStart(): int
    {
        return $this->start;
    }

    /**
     * @param int $start
     * @return MerchantContributionEntity
     */
    public function setStart(int $start): MerchantContributionEntity
    {
        $this->start = $start;
        return $this;
    }

    /**
     * @return int
     */
    public function getEnd(): int
    {
        return $this->end;
    }

    /**
     * @param int $end
     * @return MerchantContributionEntity
     */
    public function setEnd(int $end): MerchantContributionEntity
    {
        $this->end = $end;
        return $this;
    }

    /**
     * @return string
     */
    public function getType(): string
    {
        return $this->type;
    }

    /**
     * @param string $type
     * @return MerchantContributionEntity
     */
    public function setType(string $type): MerchantContributionEntity
    {
        $this->type = $type;
        return $this;
    }

    /**
     * @return float
     */
    public function getJd(): float
    {
        return $this->jd;
    }

    /**
     * @param float $jd
     * @return MerchantContributionEntity
     */
    public function setJd(float $jd): MerchantContributionEntity
    {
        $this->jd = $jd;
        return $this;
    }

    /**
     * @return float
     */
    public function getValue(): float
    {
        return $this->value;
    }

    /**
     * @param float $value
     * @return MerchantContributionEntity
     */
    public function setValue(float $value): MerchantContributionEntity
    {
        $this->value = $value;
        return $this;
    }

    /**
     * @return int
     */
    public function getCreateTime(): int
    {
        return $this->createTime;
    }

    /**
     * @param int $createTime
     * @return MerchantContributionEntity
     */
    public function setCreateTime(int $createTime): MerchantContributionEntity
    {
        $this->createTime = $createTime;
        return $this;
    }
}
